[versions]
gradle = "8.6"
#junit = "5.8.2"
junit = "5.10.3"
#slf4j = "1.7.36"
slf4j = "2.0.16"
hsqldb = "2.7.1"
sqlite = "3.25.2"
jackson = "2.16.1"
#javalin = "4.6.4"
javalin = "6.7.0"
lombok = "1.18.34"
postgresql = "42.7.3"
hibernate = "7.0.5.Final"
validation = "2.0.1.Final"
hypersistence = "3.14.1"
el = "4.0.1"
openapi = "6.7.0-3"

[libraries]
junit = { module = "org.junit.jupiter:junit-jupiter", version.ref = "junit" }
junit-bom = { module = "org.junit:junit-bom", version.ref = "junit" }
slf4j = { module = "org.slf4j:slf4j-simple", version.ref = "slf4j" }
hsqldb = { module = "org.hsqldb:hsqldb", version.ref = "hsqldb" }
jackson = { module = "com.fasterxml.jackson.core:jackson-databind", version.ref = "jackson" }
sqlite-jdbc = { module = "org.xerial:sqlite-jdbc", version.ref = "sqlite" }
javalin = { module = "io.javalin:javalin", version.ref = "javalin" }
javalin-bundle = { module = "io.javalin:javalin-bundle", version.ref = "javalin" }
lombok = { module = "org.projectlombok:lombok", version.ref = "lombok" }
postgresql = { module = "org.postgresql:postgresql", version.ref = "postgresql" }
hibernate = { module = "org.hibernate.orm:hibernate-core", version.ref = "hibernate" }
hibernate-jpamodelgen = { module = "org.hibernate.orm:hibernate-jpamodelgen", version.ref = "hibernate" }
hibernate-validator = { module = "org.hibernate:hibernate-validator", version.ref = "hibernate" }
validation-api = { module = "javax.validation:validation-api", version.ref = "validation" }
el = { module = "org.glassfish:jakarta.el", version.ref = "el" }
hypersistence = { module = "io.hypersistence:hypersistence-utils-hibernate-70", version.ref = "hypersistence" }
javalin-openapi = { module = "io.javalin.community.openapi:javalin-openapi-plugin", version.ref = "openapi" }
javalin-swagger = { module = "io.javalin.community.openapi:javalin-swagger-plugin", version.ref = "openapi" }
javalin-redoc = { module = "io.javalin.community.openapi:javalin-redoc-plugin", version.ref = "openapi" }
openapi-annotation = { module = "io.javalin.community.openapi:openapi-annotation-processor", version.ref = "openapi" }